Approve a Starlink Request
Approve a Starlink request.
Required Capabilities
Starlink Manager
Request
Path parameters
Reference ID of the Starlink request to approve.
Body parameters
Remark from the parent partner account for this approval.
Response
A json is returned in the response body with the following fields:
Reference ID of the Starlink request.
Reference ID of the partner account that created the request.
Reference ID of the parent partner account. null if not applicable.
Reference ID of the Starlink account associated with this request.
Type of the Starlink request.
SERVICE_LINE_CREATE— Request to create a new service line.SERVICE_LINE_CHANGE_PLAN— Request to change the plan of an existing service line.SERVICE_LINE_OPT_IN— Request to opt in to a service line.SERVICE_LINE_TOPUP— Request to top up a service line.SERVICE_LINE_REACTIVATE— Request to reactivate a service line.DEVICE_ORDER— Request to order a new device.
Currency used for the request. null if not applicable.
Line items included in the request.
Show child attributes
Parent item ID. null if this item has no parent.
Item ID.
SKU of the product.
Name of the product.
Quantity of the product.
Original unit price before any adjustments.
Effective unit price.
Details for a SERVICE_LINE_CREATE request. null for other request types.
Show child attributes
Name of the service line to create.
Reference ID of the Starlink address to associate with the service line.
Reference ID of the created Starlink service line. Populated after the request is processed. null if not yet processed.
Whether the new service line is held in the Pending Activation state until a Starlink device is assigned. Only applies when starlinkDeviceRefIds is empty.
Reference IDs of the Starlink devices to assign to the new service line. Empty if no devices were specified.
Details for a SERVICE_LINE_CHANGE_PLAN request. null for other request types.
Show child attributes
Reference ID of the Starlink service line whose plan is being changed.
Whether the plan change is scheduled to take effect at the next billing cycle.
Details for a SERVICE_LINE_OPT_IN request. null for other request types.
Show child attributes
Reference ID of the Starlink service line to opt in.
Details for a SERVICE_LINE_REACTIVATE request. null for other request types.
Show child attributes
Reference ID of the Starlink service line to reactivate.
Details for a SERVICE_LINE_TOPUP request. null for other request types.
Show child attributes
Reference ID of the Starlink service line to top up.
Details for a DEVICE_ORDER request. null for other request types.
Show child attributes
Shipping address for the device order.
Show child attributes
Company name.
First name of the recipient.
Last name of the recipient.
Email address of the recipient.
Phone number of the recipient.
Address line 1.
Address line 2. null if not applicable.
City.
State or province. null if not applicable.
Postal code.
ISO 3166-1 alpha-2 country code.
Billing address for the device order, automatically deduced by the system for reference — this is not a field you submit in the request. Has the same fields as shippingAddress. null if not yet deduced.
URL to process order. null if not yet available.
Order number assigned after processing. null if not yet assigned.
Timestamp when the request will expire. null if not applicable.
Remark left by the requester. null if not provided.
Remark left by the parent partner. null if not provided.
Timestamp when the request was approved. null if not approved.
Name of the user who approved the request. null if not approved.
Email of the user who approved the request. null if not approved.
Timestamp when the request was rejected. null if not rejected.
Name of the user who rejected the request. null if not rejected.
Email of the user who rejected the request. null if not rejected.
Timestamp when the request was cancelled. null if not cancelled.
Name of the user who cancelled the request. null if not cancelled.
Email of the user who cancelled the request. null if not cancelled.
Timestamp when the request expired. null if not expired.
Timestamp when the request was processed. null if not yet processed.
Current status of the Starlink request.
PENDING_APPROVAL— The request is pending approval.PROCESSING— The request is being processed.COMPLETED— The request has been completed.CANCELLED— The request has been cancelled.REJECTED— The request has been rejected.EXPIRED— The request has expired.ABORTED— The request has been aborted.
Date and time the request was created.
Username of the user who created the request.
Email of the user who created the request. null if not applicable.
Date and time the request was last updated.
Username of the user who last updated the request.
Email of the user who last updated the request. null if not applicable.
Examples
Request
curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/requests/REQ-00001/approve' \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json' \ --data-raw '{"parentRemark": "Approved."}'Response
{
"refId": "296",
"accountRefId": 1627,
"parentAccountRefId": 10,
"starlinkAccountRefId": "86",
"type": "SERVICE_LINE_OPT_IN",
"currency": null,
"items": [],
"createServiceLineDetail": null,
"changeServiceLinePlanDetail": null,
"optInServiceLineDetail": {
"starlinkServiceLineRefId": "71"
},
"reactivateServiceLineDetail": null,
"topupServiceLineDetail": null,
"orderDeviceDetail": null,
"expireAt": "2026-04-01T23:59:59.000Z",
"requesterRemark": null,
"parentRemark": "Approved.",
"approvedAt": "2026-03-31T03:59:29.114Z",
"approvedBy": "Jane Doe",
"approvedByEmail": "[email protected]",
"rejectedAt": null,
"rejectedBy": null,
"rejectedByEmail": null,
"cancelledAt": null,
"cancelledBy": null,
"cancelledByEmail": null,
"expiredAt": null,
"processedAt": null,
"status": "PROCESSING",
"createdAt": "2026-03-18T01:54:38.182Z",
"createdBy": "Jane Doe",
"createdByEmail": "[email protected]",
"updatedAt": "2026-03-31T03:59:29.114Z",
"updatedBy": "Jane Doe",
"updatedByEmail": "[email protected]"
}